Page MenuHomePhabricator

Add option to not truncate Y-axis
Closed, ResolvedPublic3 Estimated Story Points

Description

It looks like the graphs in the metrics-by-layout dashboard by default truncate the Y-axis to match the range of the displayed data (here's an example from our page creation dashboard). Having an option, either in the metric specification or the dashboard configuration to remove the truncation would be really useful. In our case, this is motivated by our interest in showing the change in data from an infliction point, where a truncated Y-axis results in changes looking larger (relatively speaking) than it otherwise would.

Event Timeline

Nettrom created this task.Oct 19 2017, 6:01 PM
Restricted Application added a project: Analytics. · View Herald TranscriptOct 19 2017, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH added a subscriber: DannyH.Oct 19 2017, 6:21 PM

ooh, that's not good. I'll make a patch, thanks for the report.

fdans assigned this task to Nuria.Oct 23 2017, 3:39 PM
fdans edited projects, added Analytics-Kanban; removed Analytics.
fdans set the point value for this task to 3.
fdans moved this task from Incoming to Backlog (Later) on the Analytics board.
fdans added a project: Analytics.
fdans moved this task from Backlog (Later) to Incoming on the Analytics board.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Oct 26 2017, 6:10 PM

Change 386708 had a related patch set uploaded (by Nuria; owner: Nuria):
[analytics/dashiki@master] Configure dygraphs so Y-axis starts at '0'

https://gerrit.wikimedia.org/r/386708

Change 386708 merged by Milimetric:
[analytics/dashiki@master] Configure dygraphs so Y-axis starts at '0'

https://gerrit.wikimedia.org/r/386708

Nuria moved this task from In Progress to Done on the Analytics-Kanban board.Oct 26 2017, 9:01 PM
Nettrom closed this task as Resolved.Oct 26 2017, 9:26 PM

Looks good to me, thanks again!

Nuria reopened this task as Open.Oct 27 2017, 3:02 PM
Nuria closed this task as Resolved.Oct 27 2017, 3:10 PM
kaldari added a subscriber: kaldari.Nov 1 2017, 6:35 PM

Yay! Thanks everyone!